Bug 65585 - xdm adds non-localhost address to ~/.Xauthority
xdm adds non-localhost address to ~/.Xauthority
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-28 00:12 EDT by Nathan G. Grennan
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-28 03:22:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2002-05-28 00:12:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.3 (X11; Linux i686; U;) Gecko/20020523

Description of problem:
run  xauth list

ip68-12-0-32.ok.ok.cox.net:0  MIT-MAGIC-COOKIE-1  <insert key here>
^^^^^^^^^^^^^^^^^
cygnusx-1.okcforum.org:0  MIT-MAGIC-COOKIE-1  <insert key here>
cygnusx-1.okcforum.org/unix:0  MIT-MAGIC-COOKIE-1  <insert key here>



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  rpm -e gdm kdm
2.  init 5
3.  login as user
4. run xterm
5. xauth list
	

Actual Results:  non-localhost hostname in list

Expected Results:  Only localhost names in list like gdm

Additional info:
Comment 1 Nathan G. Grennan 2002-05-28 00:26:43 EDT
Wrong package. Thought I didn't have kdm installed and it was running xdm.
Comment 2 Nathan G. Grennan 2002-05-28 00:32:34 EDT
Found when running xdm, same behavior.
Comment 3 Mike A. Harris 2002-05-28 03:22:11 EDT
Just use gdm.  If gdm or kdm works as desired, regardless of wether or not
there is a bug in xdm - there is very low likelyhood of it being looked into.

I suggest reporting all xdm related bugs directly to XFree86.org via
xfree86@xfree86.org and the xpert@xfree86.org mailing list.  If it is indeed
a bug, then perhaps someone who cares enough about it working will troubleshoot
it, fix it, and get the fixes into a new release of XFree86.
Comment 4 Mike A. Harris 2002-08-07 22:48:06 EDT
Closing WONTFIX as I dont see any problem here.  If there is a problem,
it should be reported and fixed by XFree86.org on xpert@xfree86.org
mailing list.  At a minimum, someone who understands xauthority information
a LOT more, needs to be a part of looking at this.

Making random uninformed changes to things is never good.

Note You need to log in before you can comment on or make changes to this bug.